#pragma once
#include "../../Utils/Process/Process.h"
#include "../../SparAIContainer.h"

class Layer1GameState : public Process
{
public:
  Layer1GameState()
    : Process(Spar)
  {}

  void onFrame() {}
protected:
  virtual void onStart() {}
  virtual void onEnd() {}

  virtual void _output(std::ostream& out) const
  {
    out << "Layer 1 Sensing - Game state";
  }
};
